Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ModTextureAnimation

    java.lang.Object
      net.minecraft.client.renderer.texturefx.TextureFX
          cpw.mods.fml.client.FMLTextureFX
              net.minecraft.src.ModTextureAnimation

All Implemented Interfaces:
  ITextureFX

    public class ModTextureAnimation

extends FMLTextureFX

A texture override for animations, it takes a vertical image of texture frames and constantly rotates them in the texture.

Field Summary

Fields inherited from class cpw.mods.fml.client.FMLTextureFX
`errored, tileSizeBase, tileSizeMask, tileSizeSquare, tileSizeSquareMask`

Fields inherited from class net.minecraft.client.renderer.texturefx.TextureFX
`anaglyphEnabled, iconIndex, imageData, textureId, tileImage, tileSize`

Constructor Summary
`ModTextureAnimation(int icon, int target, BufferedImage image, int tickCount)`
`ModTextureAnimation(int icon, int size, int target, BufferedImage image, int tickCount)`
`ModTextureAnimation(int icon, int size, String target, BufferedImage image, int tickCount)`

Method Summary
`void` | `bindImage(RenderEngine renderEngine)`
`void` | `func_783_a()` Deprecated.
`void` | `onTick()`
`void` | `setup()`

Methods inherited from class cpw.mods.fml.client.FMLTextureFX
`getErrored, onTextureDimensionsUpdate, onTexturePackChanged, setErrored, unregister`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModTextureAnimation

    public ModTextureAnimation(int icon,
                               int target,
                               BufferedImage image,
                               int tickCount)

### ModTextureAnimation

    public ModTextureAnimation(int icon,
                               int size,
                               int target,
                               BufferedImage image,
                               int tickCount)

### ModTextureAnimation

    public ModTextureAnimation(int icon,
                               int size,
                               String target,
                               BufferedImage image,
                               int tickCount)

Method Detail

### setup

    public void setup()

### onTick

    public void onTick()

  Overrides:
    `onTick` in class `TextureFX`

### bindImage

    public void bindImage(RenderEngine renderEngine)

  Overrides:
    `bindImage` in class `TextureFX`

### func_783_a

    @Deprecated
    public void func_783_a()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD